package com.backendsys.modules.crt.service;

import com.backendsys.modules.cms.article.entity.ArticleCategory;
import com.backendsys.modules.crt.entity.CrtDramaProject;
import com.backendsys.modules.crt.entity.CrtDramaProjectSettings;
import com.backendsys.utils.response.PageEntity;

import java.util.Map;

public interface CrtDramaProjectService {

    // 获取项目列表
    PageEntity selectCrtDramaProjectList(CrtDramaProject crtDramaProject);

    // 创建项目
    Map<String, Object> createCrtDramaProject(CrtDramaProject crtDramaProject);

    // 编辑项目
    Map<String, Object> updateCrtDramaProject(CrtDramaProject crtDramaProject);

    // 编辑项目生图/生视频配置
    Map<String, Object> updateDramaProjectSettings(CrtDramaProjectSettings crtDramaProjectSettings);

    // 删除项目
    Map<String, Object> deleteCrtDramaProject(CrtDramaProject crtDramaProject);

}
